#!/bin/csh -f
# cmd file to submit parallel iffco job on SP
#@ output = pvm_test_out
#@ error = pvm_test_errs
#@ notification = never
#@ environment = MP_EUILIB=us
#@ environment = MP_LABELIO=yes
#@ wall_clock_limit = 00:10:00
#@ job_type = parallel
#@ node = 1
#@ tasks_per_node = 3
#@ network.mpi = css0,shared,US
#@ class = standard
#@ queue

setenv OLDHOME $HOME
setenv HOME .
setenv PVM_ROOT /usr/local/apps/pvm3
setenv PVM_ARCH AIX4SP2

#do some cleaning up of possible old pvm stuff
set myid = `id -u`
foreach node ($LOADL_PROCESSOR_LIST)
	rsh $node "rm -f /tmp/pvm[ld].$myid" >& /dev/null
	rsh $node "echo halt | $PVM_ROOT/lib/$PVM_ARCH/pvm" >& /dev/null 
end 
sleep 2

#start pvm daemon and leave it running
echo quit | $PVM_ROOT/lib/$PVM_ARCH/pvm 

#start parallel executable
set llnode_cnt = `echo "$LOADL_PROCESSOR_LIST" | awk '{print NF}'`
set actual_cnt = `expr "$llnode_cnt" - 1`
$PVM_ROOT/bin/$PVM_ARCH/starter -n $actual_cnt ./pvm_test

#stop pvm
echo halt | $PVM_ROOT/lib/$PVM_ARCH/pvm

#sleep to give poe time to flush to stdout (from /tmp/pvml.$id)
sleep 10

setenv HOME $OLDHOME
